package ec.app.regression.testcases;

public class Keijzer10Factory extends FunctionFactory {

	@Override
	protected int arity() {
		return 2;
	}

	@Override
	protected double function(final Double... x) {
		// x0^x1
		return Math.pow(x[0], x[1]);
	}

	@Override
	public String getSymbolicRepresentation() {
		return "x0^x1";
	}
}
